This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 222989 - DPMS non-functional.
DPMS non-functional.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks: FC7Target
  Show dependency treegraph
 
Reported: 2007-01-17 07:36 EST by David Woodhouse
Modified: 2013-03-05 22:48 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:22:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2007-01-17 07:36:52 EST
When I have gnome-screensaver installed, the screensaver preferences don't offer
me DPMS. When I remove gnome-screensaver and use xscreensaver instead, I get a
second tab in the screensaver preferences window and I can use DPMS.

Sometimes, however, DPMS doesn't work right. I run 'xset dpms force off' and
_something_ turns it back on again within seconds (without me touching a
pointing device). I don't know how to tell _what_ is turning it back on.

This is normally fine -- I've been living in hotels for a few weeks and I would
have noticed if the screen stayed on all night. But it's happening occasionally,
including tonight.
Comment 1 David Woodhouse 2007-01-17 07:39:31 EST
Grrr. Now it's just teasing me -- stays off for long enough for me to get into
bed and turn off the light, and _then_ comes back on.
Comment 2 David Woodhouse 2007-01-17 07:43:08 EST
'xset dpms 1 1 1' causes a disco display -- it keeps flashing on and off.
Something keeps waking it. How do I find out what?
Comment 3 Ray Strode [halfline] 2007-01-17 10:57:31 EST
I believe dpms is now handled by gnome-power-manager.

if you kill it, does your problem go away?
Comment 4 David Woodhouse 2007-01-17 18:10:14 EST
Hm. It's behaving itself today. When it starts to play silly buggers I'll try
killing g-p-m. It's not particularly easy to run without g-p-m while I'm mobile
and need it to suspend itself when I close it.

Although the stupid 'debounce' of power-related events in g-p-m means that if a
'lid close' event comes too soon after an 'AC removed' event, the second event
is _ignored_ and the machine doesn't suspend :) -- so maybe I should be using
something other than g-p-m anyway?
Comment 5 David Woodhouse 2007-01-17 19:14:11 EST
[sync_dpms_policy] gpm-manager.c:636 (11:13:23):         DPMS parameters 1800
1800 3600, method 'default'

[gpm_dpms_set_enabled] gpm-dpms-x11.c:421 (11:13:23):    setting DPMS enabled: 1
[x11_sync_server_dpms_settings] gpm-dpms-x11.c:116 (11:13:23):   Syncing DPMS
settings enabled=1 timeouts=0 0 0
[x11_sync_server_dpms_settings] gpm-dpms-x11.c:192 (11:13:23):   set DPMS
timeouts: 0 0 0.
[x11_sync_server_dpms_settings] gpm-dpms-x11.c:116 (11:13:23):   Syncing DPMS
settings enabled=1 timeouts=0 0 0
[gpm_brightness_set_hw] gpm-brightness.c:301 (11:13:23):         Setting 0 of 14
*** WARNING ***
[gpm_brightness_set_hw] gpm-brightness.c:308 (11:13:24):         An unknown
error occured
[gpm_brightness_set_hw] gpm-brightness.c:301 (11:13:24):         Setting 1 of 14
*** WARNING ***
[gpm_brightness_set_hw] gpm-brightness.c:308 (11:13:24):         An unknown
error occured
[gpm_brightness_set_hw] gpm-brightness.c:301 (11:13:24):         Setting 2 of 14
*** WARNING ***
[gpm_brightness_set_hw] gpm-brightness.c:308 (11:13:24):         An unknown
error occured
[gpm_brightness_set_hw] gpm-brightness.c:301 (11:13:24):         Setting 3 of 14
*** WARNING ***
[gpm_brightness_set_hw] gpm-brightness.c:308 (11:13:24):         An unknown
error occured
[gpm_brightness_set_hw] gpm-brightness.c:301 (11:13:24):         Setting 4 of 14
*** WARNING ***
[gpm_brightness_set_hw] gpm-brightness.c:308 (11:13:24):         An unknown
error occured
[gpm_brightness_set_hw] gpm-brightness.c:301 (11:13:24):         Setting 5 of 14
*** WARNING ***
[gpm_brightness_set_hw] gpm-brightness.c:308 (11:13:25):         An unknown
error occured
[gpm_brightness_set_hw] gpm-brightness.c:301 (11:13:25):         Setting 6 of 14
*** WARNING ***
[gpm_brightness_set_hw] gpm-brightness.c:308 (11:13:25):         An unknown
error occured
[gpm_brightness_set_hw] gpm-brightness.c:301 (11:13:25):         Setting 7 of 14
*** WARNING ***
[gpm_brightness_set_hw] gpm-brightness.c:308 (11:13:25):         An unknown
error occured
[gpm_brightness_set_hw] gpm-brightness.c:301 (11:13:25):         Setting 8 of 14
*** WARNING ***
[gpm_brightness_set_hw] gpm-brightness.c:308 (11:13:25):         An unknown
error occured
[gpm_brightness_set_hw] gpm-brightness.c:301 (11:13:25):         Setting 9 of 14
*** WARNING ***
[gpm_brightness_set_hw] gpm-brightness.c:308 (11:13:25):         An unknown
error occured
[gpm_brightness_set_hw] gpm-brightness.c:301 (11:13:25):         Setting 10 of 14
*** WARNING ***
[gpm_brightness_set_hw] gpm-brightness.c:308 (11:13:25):         An unknown
error occured
[gpm_brightness_set_hw] gpm-brightness.c:301 (11:13:25):         Setting 11 of 14
*** WARNING ***
[gpm_brightness_set_hw] gpm-brightness.c:308 (11:13:25):         An unknown
error occured
[gpm_brightness_set_hw] gpm-brightness.c:301 (11:13:25):         Setting 12 of 14
*** WARNING ***
[gpm_brightness_set_hw] gpm-brightness.c:308 (11:13:25):         An unknown
error occured
[gpm_brightness_set_hw] gpm-brightness.c:301 (11:13:25):         Setting 13 of 14
*** WARNING ***
[gpm_brightness_set_hw] gpm-brightness.c:308 (11:13:25):         An unknown
error occured
[gpm_brightness_set_hw] gpm-brightness.c:301 (11:13:25):         Setting 14 of 14
*** WARNING ***
[gpm_brightness_set_hw] gpm-brightness.c:308 (11:13:25):         An unknown
error occured
[gpm_hal_enable_power_save] gpm-hal.c:411 (11:13:25):    Doing SetPowerSave (0)
[gpm_idle_set_system_timeout] gpm-idle.c:308 (11:13:25):         Setting system
idle timeout: 0
[sync_dpms_policy] gpm-manager.c:636 (11:13:25):         DPMS parameters 1800
1800 3600, method 'default'

[x11_sync_server_dpms_settings] gpm-dpms-x11.c:116 (11:13:25):   Syncing DPMS
settings enabled=1 timeouts=0 0 0
Comment 6 David Woodhouse 2007-01-17 19:18:36 EST
That was an excerpt from running gnome-power-manager --no-daemon --verbose. It
seems to have set the dpms timeouts to '0 0 0' -- despite the fact that I'd
previously set them to '180 180 180', 'xset q' now says:
DPMS (Energy Star):
  Standby: 0    Suspend: 0    Off: 0
  DPMS is Enabled
  Monitor is On

And lo, yes: I just watched it turn the screen back on after I explicitly turned
it off by running 'xset dpms force off':

[dpms_mode_changed_cb] gpm-manager.c:1538 (11:17:22):    DPMS mode changed: 3
[gpm_screensaver_remove_throttle] gpm-screensaver.c:327 (11:17:22):     
removing throttle: id 4294967295
[gpm_screensaver_add_throttle] gpm-screensaver.c:291 (11:17:22):         Cannot
throttle now as gnome-screensaver not running
[dpms_mode_changed_cb] gpm-manager.c:1542 (11:17:22):    emitting
dpms-mode-changed : off
[dpms_mode_changed_cb] gpm-manager.c:1538 (11:17:23):    DPMS mode changed: 0
[dpms_mode_changed_cb] gpm-manager.c:1542 (11:17:23):    emitting
dpms-mode-changed : on

Reassigning to g-p-m, although I suspect the answer there will be "but you're
not running gnome-screensaver". But remember, the reason I'm not running
gnome-screensaver is because if I do that, I don't even get _offered_ DPMS
options when I run the screensaver prefs. 
Comment 7 David Woodhouse 2007-01-17 19:51:16 EST
OK, I think I have g-p-m and gnome-screensaver working. I don't see any 'blank
screen now' option though, and 'xset dpms force off' still fails as before,
because g-p-m overrides it for no adequately defined reason.

Amusingly, g-p-m seems to override the DPMS and turn the screen back on even
when it was g-p-m which turned it off, due to me closing the lid...


[watch_device_properties_modified_cb] gpm-hal.c:812 (11:49:24):  property
modified '/org/freedesktop/Hal/devices/pmu_lid'
[watch_device_property_modified] gpm-hal.c:783 (11:49:24):       emitting
property-modified : udi=/org/freedesktop/Hal/devices/pmu_lid,
key=button.state.value, added=0, removed=0, finally=1
[hal_device_property_modified_cb] gpm-hal-monitor.c:225 (11:49:24):     
udi=/org/freedesktop/Hal/devices/pmu_lid, key=button.state.value, added=0,
removed=0, finally=1
[hal_device_property_modified_cb] gpm-hal-monitor.c:245 (11:49:24):      state
of a button has changed : /org/freedesktop/Hal/devices/pmu_lid, button.state.value
[emit_button_pressed] gpm-hal-monitor.c:198 (11:49:24):  emitting button-pressed
: lid (1)
[hal_button_pressed_cb] gpm-power.c:1685 (11:49:24):     emitting button-pressed
: lid (1)
[power_button_pressed_cb] gpm-manager.c:1726 (11:49:24):         Button press
event type=lid state=1
[gpm_screensaver_poke] gpm-screensaver.c:406 (11:49:24):         poke
[gpm_info_event_log] gpm-info.c:611 (11:49:24):  Adding 9 to the event log
[lid_button_pressed] gpm-manager.c:1656 (11:49:24):      lid button CLOSED
[gpm_screensaver_add_throttle] gpm-screensaver.c:314 (11:49:24):         adding
throttle reason: 'Laptop lid is closed': id 169614693
[lid_button_pressed] gpm-manager.c:1675 (11:49:24):      Performing AC policy
[manager_policy_do] gpm-manager.c:899 (11:49:24):        policy:
/apps/gnome-power-manager/action_ac_button_lid
[gpm_syslog] gpm-debug.c:140 (11:49:24):         Saving to syslog: DPMS blanking
screen because the lid has been closed on ac power
[gpm_info_event_log] gpm-info.c:611 (11:49:24):  Adding 4 to the event log
[gpm_info_event_log] gpm-info.c:611 (11:49:24):  Adding 4 to the event log
[gpm_manager_get_lock_policy] gpm-manager.c:781 (11:49:24):      Using
ScreenSaver settings (0)
[watch_device_condition_cb] gpm-hal.c:916 (11:49:24):    emitting
device-condition : /org/freedesktop/Hal/devices/pmu_lid, ButtonPressed ()
[hal_device_condition_cb] gpm-hal-monitor.c:267 (11:49:24):     
udi=/org/freedesktop/Hal/devices/pmu_lid, condition=ButtonPressed, details=
[emit_button_pressed] gpm-hal-monitor.c:198 (11:49:24):  emitting button-pressed
: lid (1)
[hal_button_pressed_cb] gpm-power.c:1685 (11:49:24):     emitting button-pressed
: lid (1)
[power_button_pressed_cb] gpm-manager.c:1726 (11:49:24):         Button press
event type=lid state=1
[gpm_screensaver_poke] gpm-screensaver.c:406 (11:49:24):         poke
[lid_button_pressed] gpm-manager.c:1646 (11:49:24):      duplicate lid change event
[dpms_mode_changed_cb] gpm-manager.c:1538 (11:49:24):    DPMS mode changed: 3
[gpm_screensaver_add_throttle] gpm-screensaver.c:314 (11:49:24):         adding
throttle reason: 'Display power management activated': id 978643276
[dpms_mode_changed_cb] gpm-manager.c:1542 (11:49:24):    emitting
dpms-mode-changed : off
[gpm_info_data_add] gpm-info-data.c:327 (11:49:26):      Using 4 lines
[gpm_info_data_add] gpm-info-data.c:327 (11:49:26):      Using 38 lines
[gpm_info_data_add] gpm-info-data.c:327 (11:49:26):      Using 4 lines
[dpms_mode_changed_cb] gpm-manager.c:1538 (11:49:27):    DPMS mode changed: 0


 ... NOTE, HERE THE SCREEN COMES BACK ON AGAIN EVEN THOUGH THE LID IS STILL
CLOSED ...


[gpm_screensaver_remove_throttle] gpm-screensaver.c:327 (11:49:27):     
removing throttle: id 978643276
[dpms_mode_changed_cb] gpm-manager.c:1542 (11:49:27):    emitting
dpms-mode-changed : on
[gpm_info_data_add] gpm-info-data.c:327 (11:49:31):      Using 4 lines
[gpm_info_data_add] gpm-info-data.c:327 (11:49:31):      Using 38 lines
[gpm_info_data_add] gpm-info-data.c:327 (11:49:31):      Using 4 lines
[watch_device_properties_modified_cb] gpm-hal.c:812 (11:49:32):  property
modified '/org/freedesktop/Hal/devices/pmu_lid'
[watch_device_property_modified] gpm-hal.c:783 (11:49:32):       emitting
property-modified : udi=/org/freedesktop/Hal/devices/pmu_lid,
key=button.state.value, added=0, removed=0, finally=1
[hal_device_property_modified_cb] gpm-hal-monitor.c:225 (11:49:32):     
udi=/org/freedesktop/Hal/devices/pmu_lid, key=button.state.value, added=0,
removed=0, finally=1
[hal_device_property_modified_cb] gpm-hal-monitor.c:245 (11:49:32):      state
of a button has changed : /org/freedesktop/Hal/devices/pmu_lid, button.state.value
[emit_button_pressed] gpm-hal-monitor.c:198 (11:49:32):  emitting button-pressed
: lid (0)
[hal_button_pressed_cb] gpm-power.c:1685 (11:49:32):     emitting button-pressed
: lid (0)
[power_button_pressed_cb] gpm-manager.c:1726 (11:49:32):         Button press
event type=lid state=0
[gpm_screensaver_poke] gpm-screensaver.c:406 (11:49:32):         poke
[gpm_info_event_log] gpm-info.c:611 (11:49:32):  Adding 10 to the event log
[lid_button_pressed] gpm-manager.c:1661 (11:49:32):      lid button OPENED
[gpm_screensaver_remove_throttle] gpm-screensaver.c:327 (11:49:32):     
removing throttle: id 169614693
[gpm_syslog] gpm-debug.c:140 (11:49:32):         Saving to syslog: Turning LCD
panel back on because laptop lid re-opened
[gpm_info_event_log] gpm-info.c:611 (11:49:32):  Adding 5 to the event log
[gpm_manager_get_lock_policy] gpm-manager.c:781 (11:49:32):      Using
ScreenSaver settings (0)
[watch_device_condition_cb] gpm-hal.c:916 (11:49:32):    emitting
device-condition : /org/freedesktop/Hal/devices/pmu_lid, ButtonPressed ()
[hal_device_condition_cb] gpm-hal-monitor.c:267 (11:49:32):     
udi=/org/freedesktop/Hal/devices/pmu_lid, condition=ButtonPressed, details=

[emit_button_pressed] gpm-hal-monitor.c:198 (11:49:33):  emitting button-pressed
: lid (0)
[hal_button_pressed_cb] gpm-power.c:1685 (11:49:33):     emitting button-pressed
: lid (0)
[power_button_pressed_cb] gpm-manager.c:1726 (11:49:33):         Button press
event type=lid state=0
[gpm_screensaver_poke] gpm-screensaver.c:406 (11:49:33):         poke
[lid_button_pressed] gpm-manager.c:1646 (11:49:33):      duplicate lid change event
Comment 8 Richard Hughes 2007-03-26 12:22:39 EDT
Is the /proc/acpi/button/lid/LID*/state always correct when the lid is open and
closed? It sounds like the lid state is getting confused somewhere.
Comment 9 David Woodhouse 2007-03-26 15:12:10 EDT
There's no ACPI crap here; lid events are reported through a standard input
interface -- one event when it closes, another when it opens...

Event: time 1174936254.290080, type 5 (SW), code 0 (?), value 1
Event: time 1174936254.290086, type 0 (SYN), code 0 (SYN), value 0
Event: time 1174936266.931712, type 5 (SW), code 0 (?), value 0
Event: time 1174936266.931719, type 0 (SYN), code 0 (SYN), value 0
Comment 10 Bug Zapper 2008-04-04 01:38:20 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 11 Bug Zapper 2008-05-06 13:22:04 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.